Page MenuHomeVyOS Platform

command 'isolate-stations true/false' does not make any changes in the hostapd.conf
Closed, ResolvedPublicBUG

Description

command 'set interfaces wireless wlan1 isolate-stations true' or command 'set interfaces wireless wlan1 isolate-stations false' does not make any changes in the hostapd.conf file. I believe change should reflect on the parameter 'ap-isolate' in hostapd.conf file.

Details

Difficulty level
Easy (less than an hour)
Version
1.2 Rolling 20180703
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

nirmal renamed this task from command 'isolate-stations true' does not make any changes in the hostapd.conf to command 'isolate-stations true/false' does not make any changes in the hostapd.conf.Oct 31 2018, 3:40 PM
nirmal created this task.
syncer triaged this task as Low priority.Oct 31 2018, 6:29 PM
syncer edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
atoy40 added a subscriber: atoy40.Mar 2 2019, 6:38 PM

Just a message to confirm this one. ap_isolate always set to 1, but have to be 0 (or undefined) when isolate-stations is set to false (or not set because it's indicated to be the default)

pasik added a subscriber: pasik.Mar 12 2019, 6:09 PM
c-po added a subscriber: c-po.May 4 2020, 3:01 PM

Wireless AP completely rewritten. If issue reappears please reopen or file a new bug.

c-po closed this task as Resolved.May 4 2020, 3:01 PM
c-po assigned this task to atoy40.
c-po set Is it a breaking change? to Unspecified (possibly destroys the router).
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 21 2020, 5:25 PM